Subject: Bug#637: [X2Go-Dev] Bug#637: nx-libs improvements

From: Mike Gabriel <[email-masked]>
Date: Fri, 15 May 2015 12:32:54 +0000

Control: merge 78 -1

Hi all,

On  Do 05 Mär 2015 17:08:19 CET, André Wöbbeking wrote:

> Hi Michael,
>
> On Wednesday 04 March 2015 08:41:20 Michael DePaulo wrote:
>> Hi Andre.
>>
>> I know it's been a while since you replied to this bug.
>>
>> However, the X2Go project and the Arctica Project have started doing
>> major code cleanups to nx-libs on the new 3.6.x branch. Many of those
>> code cleanups are big because they involve making nx-libs using the
>> system version of X11-related libraries rather than nx-libs bundling
>> its own (horribly outdated) version of those libraries. Those changes
>> will improve compatibility with some X11 apps, but not Qt5 apps.
>>
>> After those code cleanups are complete, we will look into either
>> rebasing nx-libs against the latest X.org, or backporting features
>> such as newer RandR and XInput2 to nx-libs. In either case, Qt5 apps
>> will become compatible.
>
> That's great!
>
>> There is no ETA though.
>
> Well, with Qt 5.4 plain X11 apps don't crash anymore :-) (but I  
> still get this
> warning "QXcbConnection: Failed to get the primary output of the screen").
>
> And QtCreator works for me with "-noload Welcome" (AFAIK this disables a QML
> plugin using OpenGL).

Merging this issue (although solved) into #78, the collector for all  
"Xrandr is too old issues in nx-libs".

Mike
-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: [email-masked], http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb